Package com.google.android.exoplayer2.video

## Class MediaCodecVideoDecoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.decoder.DecoderException
      - - com.google.android.exoplayer2.mediacodec.MediaCodecDecoderException
        - - com.google.android.exoplayer2.video.MediaCodecVideoDecoderException

- All Implemented Interfaces:
    `Serializable`

      public class MediaCodecVideoDecoderException
      extends MediaCodecDecoderException

  Thrown when a failure occurs in a `MediaCodec` video decoder.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `isSurfaceValid` | Whether the surface was valid when the exception occurred.
    `int` | `surfaceIdentityHashCode` | The `System.identityHashCode(Object)` of the surface when the exception occurred.

    - ### Fields inherited from class com.google.android.exoplayer2.mediacodec.MediaCodecDecoderException

      `codecInfo, diagnosticInfo`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaCodecVideoDecoderException​(Throwable cause, MediaCodecInfo codecInfo, Surface surface)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### surfaceIdentityHashCode

          public final int surfaceIdentityHashCode

      The `System.identityHashCode(Object)` of the surface when the exception occurred.

    - #### isSurfaceValid

          public final boolean isSurfaceValid

      Whether the surface was valid when the exception occurred.

  - ### Constructor Detail

    - #### MediaCodecVideoDecoderException

          public MediaCodecVideoDecoderException​(Throwable cause,
                                                 @Nullable
                                                 MediaCodecInfo codecInfo,
                                                 @Nullable
                                                 Surface surface)